SelectInvoice

API Explorer
loading...
POST
/v2/TableApp/SelectInvoice

SelectInvoice displays a list of invoices on the terminal screen and allows the customer to select one. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/TableApp/SelectInvoice" \  -H "Content-Type: application/json" \  -d '{    "Title": "",    "InvoiceList": [      {        "Id": "",        "Name": "",        "Amount": null,        "Type": "Open"      }    ],    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "SPInProxyTimeout": null,    "CustomFields": {}  }'
{
  "SelectedInvoiceId": "",
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}